#include <stdio.h>
#include "lex.yy.h"
extern int yyparse(void);
extern void free_car_table(void);
extern int yydebug;

void yyerror(char const *message){
  printf("%s\n", message);
}

int main(int argc, char const *argv[]) {
  yydebug = 0;
  yyin = fopen(argv[1], "r");
  int result_code = yyparse();
  fclose(yyin);
  free_car_table();
  return result_code;
}
